data:extend(
{
  {
    type = "item",
    name = "hopper",
    icon = "__hopper__/graphics/icons/hopper.png",
    flags = {"goes-to-quickbar"},
    subgroup = "inserter",
    order = "f[inserter]-f[hopper]",
    place_result = "hopper",
    stack_size = 50
  },
  {
    type = "recipe",
    name = "hopper",
    ingredients =
    {
      {"iron-plate", 20},
      {"iron-gear-wheel", 40}
    },
    result = "hopper"
  },
  {
    type = "inserter",
    name = "hopper",
    icon = "__hopper__/graphics/icons/hopper.png",
    flags = {"placeable-neutral", "placeable-player", "player-creation"},
    minable = {hardness = 0.2, mining_time = 0.5, result = "hopper"},
    max_health = 100,
    corpse = "small-remnants",
    resistances =
    {
      {
        type = "fire",
        percent = 90
      }
    },
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
    pickup_position = {0, -0.4},
    insert_position = {0, 1.35},
    energy_per_movement = 70,
    energy_per_rotation = 70,
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      drain = "0.01kW"
    },
    extension_speed = 1.0,
    fast_replaceable_group = "inserter",
    platform_picture =
    {
      priority = "extra-high",
      width = 57,
      height = 56,
      shift = {0.3, -0.25},
      sheet = "__hopper__/graphics/entity/hopper-platform.png"
    },
    hand_base_picture =
    {
      filename = "__hopper__/graphics/entity/hopper-invis.png",
      priority = "extra-high",
      width = 2,
      height = 2
    },
    hand_closed_picture =
    {
      filename = "__hopper__/graphics/entity/hopper-invis.png",
      priority = "extra-high",
      width = 2,
      height = 2
    },
    hand_open_picture =
    {
      filename = "__hopper__/graphics/entity/hopper-invis.png",
      priority = "extra-high",
      width = 2,
      height = 2
    },
    hand_base_shadow =
    {
      filename = "__hopper__/graphics/entity/hopper-invis.png",
      priority = "extra-high",
      width = 2,
      height = 2
    },
    hand_closed_shadow =
    {
      filename = "__hopper__/graphics/entity/hopper-invis.png",
      priority = "extra-high",
      width = 2,
      height = 2
    },
    hand_open_shadow =
    {
      filename = "__hopper__/graphics/entity/hopper-invis.png",
      priority = "extra-high",
      width = 2,
      height = 2
    },
    rotation_speed = 0.5,
    uses_arm_movement = "basic-inserter"
  },
  {
    type = "technology",
    name = "hopper",
    icon = "__hopper__/graphics/technology/hopper.png",
    effects =
    {
	  {
        type = "unlock-recipe",
        recipe = "hopper"
      }
    },
	prerequisites = {"electronics"},
    unit =
    {
      count = 1,
      ingredients = {{"science-pack-1", 10}},
      time = 1
    },
    order = "a-d-c"
  }
}
)
